Sökningen laddas först när du använder den. Bläddra bland alla kategorier nedan.

Schemaläggning och publicering

Hämta Threads-serie

Öppna en Threads-serie igen via ID med utkastrevisioner, inläggsresultat och tillåtna åtgärder.

POST /studio-api/threads-sequences/get

Kontrakt granskat: · sha256:11debf801a5e6096

Översikt

Öppna en Threads-serie igen via ID med utkastrevisioner, inläggsresultat och tillåtna åtgärder.

Ett lyckat HTTP-svar kan betyda att en begäran accepterats snarare än slutförts. Spara returnerat ID för bakgrundsarbete och kontrollera samma åtgärd tills den är klar. Ett schemalagt eller accepterat inlägg är publicerat först när plattformen bekräftar det; en klienttimeout fastställer inte resultatet.

Autentisering och behörigheter

Godtagna typer av autentiseringsuppgifter
user_session, delegated_oauth, personal_access_token
Delegerad funktion
agent:operate
Lägsta arbetsyteroll
editor
Åtkomstomfång
Resurser som denna användare har behörighet att komma åt
Samtycke för alla arbetsytor krävs
Nej
Ändrar tillstånd
Nej
När åtgärden är klar
saved editorial Draft revisions or read-only sequence preview; no provider writes

En token får endast använda ägarens rättigheter. Varje anrop kontrollerar arbetsytemedlemskap, resursägarskap, valda arbetsytor och beviljade funktioner. Profilerna core och full ändrar vilka verktyg som visas; de ger ingen åtkomst.

Anropsfält

Obligatoriskt betyder obligatoriskt inom sitt överordnade objekt och vald gren. Ett obligatoriskt underfält gör inte ett valfritt överordnat objekt obligatoriskt. Regler och fältnamn nedan kopieras från kontraktet.

Anropsfält
Fält / grenTyp / obligatorisktBegränsningar
$objectObligatoriskt i överordnat objekt
  • additionalProperties: false
workspace_idstringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
idstringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
Fullständigt JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "workspace_id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    },
    "id": {
      "type": "string",
      "format": "uuid",
      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
    }
  },
  "required": [
    "workspace_id",
    "id"
  ],
  "additionalProperties": false
}

Svar och slutförande

HTTP-status vid framgång: 200. När åtgärden är klar: saved editorial Draft revisions or read-only sequence preview; no provider writes.

Ett lyckat HTTP-svar kan betyda att en begäran accepterats snarare än slutförts. Spara returnerat ID för bakgrundsarbete och kontrollera samma åtgärd tills den är klar. Ett schemalagt eller accepterat inlägg är publicerat först när plattformen bekräftar det; en klienttimeout fastställer inte resultatet.

Obligatoriskt betyder obligatoriskt inom sitt överordnade objekt och vald gren. Ett obligatoriskt underfält gör inte ett valfritt överordnat objekt obligatoriskt. Regler och fältnamn nedan kopieras från kontraktet.

Svar och slutförande
Fält / grenTyp / obligatorisktBegränsningar
$objectObligatoriskt i överordnat objekt—
sequenceobjectObligatoriskt i överordnat objekt—
sequence.workspace_idstringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.idstringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.social_account_idstringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.versionintegerObligatoriskt i överordnat objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.statestringObligatoriskt i överordnat objekt
  • enum: ["draft","admitted","cancelled"]
sequence.item_countintegerObligatoriskt i överordnat objekt
  • minimum: 2
  • maximum: 25
sequence.caption_previewstringObligatoriskt i överordnat objekt
  • maxLength: 500
sequence.created_atstringObligatoriskt i överordnat objekt
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.updated_atstringObligatoriskt i överordnat objekt
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.itemsarrayObligatoriskt i överordnat objekt
  • minItems: 2
  • maxItems: 25
sequence.items[]objectValfritt / objekt—
sequence.items[].item_idstringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].ordinalintegerObligatoriskt i överordnat objekt
  • minimum: 1
  • maximum: 25
sequence.items[].draftobjectObligatoriskt i överordnat objekt—
sequence.items[].draft.idstringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.workspace_idstringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.revisionintegerObligatoriskt i överordnat objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.statestringObligatoriskt i överordnat objekt
  • enum: ["draft","submitting","submitted"]
sequence.items[].draft.contentobjectObligatoriskt i överordnat objekt—
sequence.items[].draft.content.schemaVersionnumberObligatoriskt i överordnat objekt
  • const: 1
  • default: 1
sequence.items[].draft.content.accountIdsarrayObligatoriskt i överordnat objekt
  • maxItems: 50
  • default: []
sequence.items[].draft.content.accountIds[]stringValfritt / objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.content.captionstringObligatoriskt i överordnat objekt
  • maxLength: 5000
  • default: ""
sequence.items[].draft.content.hashtagsstringObligatoriskt i överordnat objekt
  • maxLength: 5000
  • default: ""
sequence.items[].draft.content.assetIdsarrayObligatoriskt i överordnat objekt
  • maxItems: 20
  • default: []
sequence.items[].draft.content.assetIds[]stringValfritt / objekt
  • maxLength: 16
  • pattern: "^[1-9][0-9]*$"
sequence.items[].draft.content.threadsTextOnlybooleanObligatoriskt i överordnat objekt
  • default: false
sequence.items[].draft.content.threadsOptionsobjectValfritt / objekt—
sequence.items[].draft.content.threadsOptions.post_typestringValfritt / objekt
  • enum: ["TEXT","IMAGE","VIDEO","CAROUSEL","REPOST"]
sequence.items[].draft.content.threadsOptions.reply_to_idstringValfritt / objekt
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.quote_post_idstringValfritt / objekt
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.repost_target_idstringValfritt / objekt
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.reply_controlstringValfritt / objekt
  • enum: ["everyone","accounts_you_follow","mentioned_only","parent_post_author_only","followers_only"]
sequence.items[].draft.content.threadsOptions.enable_reply_approvalsbooleanValfritt / objekt—
sequence.items[].draft.content.threadsOptions.link_attachmentstringValfritt / objekt
  • maxLength: 2048
sequence.items[].draft.content.threadsOptions.poll_attachmentobjectValfritt / objekt—
sequence.items[].draft.content.threadsOptions.poll_attachment.option_astringObligatoriskt i överordnat objekt
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.poll_attachment.option_bstringObligatoriskt i överordnat objekt
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.poll_attachment.option_cstringValfritt / objekt
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.poll_attachment.option_dstringValfritt / objekt
  • maxLength: 25
sequence.items[].draft.content.threadsOptions.gif_attachmentobjectValfritt / objekt—
sequence.items[].draft.content.threadsOptions.gif_attachment.gif_idstringObligatoriskt i överordnat objekt
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.gif_attachment.providerstringObligatoriskt i överordnat objekt
  • const: "GIPHY"
sequence.items[].draft.content.threadsOptions.text_attachmentobjectValfritt / objekt—
sequence.items[].draft.content.threadsOptions.text_attachment.plaintextstringObligatoriskt i överordnat objekt
  • maxLength: 10000
sequence.items[].draft.content.threadsOptions.text_attachment.link_attachment_urlstringValfritt / objekt
  • maxLength: 2048
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_infoarrayValfritt / objekt
  • maxItems: 100
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[]objectValfritt / objekt—
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].offsetintegerObligatoriskt i överordnat objekt
  • minimum: 0
  • maximum: 9007199254740991
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].lengthintegerObligatoriskt i överordnat objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].styling_infoarrayObligatoriskt i överordnat objekt
  • minItems: 1
sequence.items[].draft.content.threadsOptions.text_attachment.text_with_styling_info[].styling_info[]stringValfritt / objekt
  • enum: ["bold","italic","highlight","underline","strikethrough"]
sequence.items[].draft.content.threadsOptions.topic_tagstringValfritt / objekt
  • maxLength: 50
sequence.items[].draft.content.threadsOptions.text_entitiesarrayValfritt / objekt
  • maxItems: 10
sequence.items[].draft.content.threadsOptions.text_entities[]objectValfritt / objekt—
sequence.items[].draft.content.threadsOptions.text_entities[].entity_typestringObligatoriskt i överordnat objekt
  • enum: ["SPOILER","spoiler"]
sequence.items[].draft.content.threadsOptions.text_entities[].offsetintegerObligatoriskt i överordnat objekt
  • minimum: 0
  • maximum: 9007199254740991
sequence.items[].draft.content.threadsOptions.text_entities[].lengthintegerObligatoriskt i överordnat objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.content.threadsOptions.is_spoiler_mediabooleanValfritt / objekt—
sequence.items[].draft.content.threadsOptions.is_ghost_postbooleanValfritt / objekt—
sequence.items[].draft.content.threadsOptions.location_idstringValfritt / objekt
  • maxLength: 128
sequence.items[].draft.content.threadsOptions.allowlisted_country_codesarrayValfritt / objekt
  • minItems: 1
  • maxItems: 249
sequence.items[].draft.content.threadsOptions.allowlisted_country_codes[]stringValfritt / objekt
  • pattern: "^[A-Z]{2}$"
sequence.items[].draft.content.threadsOptions.crossreshare_to_igbooleanValfritt / objekt—
sequence.items[].draft.content.threadsOptions.crossreshare_to_ig_dark_modebooleanValfritt / objekt—
sequence.items[].draft.content.threadsOptions.auto_publish_textbooleanValfritt / objekt—
sequence.items[].draft.content.threadsOptions.media_optionsarrayValfritt / objekt
  • maxItems: 20
sequence.items[].draft.content.threadsOptions.media_options[]objectValfritt / objekt—
sequence.items[].draft.content.threadsOptions.media_options[].asset_idintegerObligatoriskt i överordnat objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.content.threadsOptions.media_options[].alt_textstringValfritt / objekt
  • minLength: 1
  • maxLength: 1000
sequence.items[].draft.content.threadsOptions.media_options[].is_spoiler_mediabooleanValfritt / objekt—
sequence.items[].draft.content.instagramModestringObligatoriskt i överordnat objekt
  • enum: ["IMAGE","REELS","CAROUSEL","STORY_IMAGE","STORY_VIDEO"]
  • default: "REELS"
sequence.items[].draft.content.youtubeTitlestringObligatoriskt i överordnat objekt
  • maxLength: 100
  • default: ""
sequence.items[].draft.content.youtubePrivacystringObligatoriskt i överordnat objekt
  • enum: ["private","unlisted","public"]
  • default: "private"
sequence.items[].draft.content.youtubeSyntheticbooleanObligatoriskt i överordnat objekt
  • default: false
sequence.items[].draft.content.youtubeCategoryIdstringObligatoriskt i överordnat objekt
  • maxLength: 32
  • default: ""
sequence.items[].draft.content.youtubeShortbooleanObligatoriskt i överordnat objekt
  • default: false
sequence.items[].draft.content.linkUrlstringObligatoriskt i överordnat objekt
  • maxLength: 2048
  • default: ""
sequence.items[].draft.content.scheduledAtstringObligatoriskt i överordnat objekt
  • maxLength: 64
  • default: ""
sequence.items[].draft.content.displayTimezonestringObligatoriskt i överordnat objekt
  • minLength: 1
  • maxLength: 128
  • default: "UTC"
sequence.items[].draft.content.publishNowbooleanObligatoriskt i överordnat objekt
  • default: false
sequence.items[].draft.content.destinationOverridesobjectObligatoriskt i överordnat objekt
  • default: {}
  • additionalProperties: {"type":"object","properties":{"caption":{"type":"string","maxLength":5000},"scheduledAt":{"type":"string","maxLength":64}}}
sequence.items[].draft.content.destinationOverrides.*objectValfritt / objekt—
sequence.items[].draft.content.destinationOverrides.*.captionstringValfritt / objekt
  • maxLength: 5000
sequence.items[].draft.content.destinationOverrides.*.scheduledAtstringValfritt / objekt
  • maxLength: 64
sequence.items[].draft.content.expiresAtstringObligatoriskt i överordnat objekt
  • maxLength: 64
  • default: ""
sequence.items[].draft.created_bystring | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.created_byanyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.created_byanyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.updated_bystring | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.updated_byanyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.updated_byanyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.created_atstringObligatoriskt i överordnat objekt
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.items[].draft.updated_atstringObligatoriskt i överordnat objekt
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.items[].draft.submissionobject | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.submissionanyOf 1objectObligatoriskt i överordnat objekt—
sequence.items[].draft.submission.idanyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.expected_revisionanyOf 1integerObligatoriskt i överordnat objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.submission.started_atanyOf 1stringObligatoriskt i överordnat objekt
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$"
sequence.items[].draft.submission.receiptanyOf 1object | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.submission.receiptanyOf 1 / anyOf 1objectObligatoriskt i överordnat objekt—
sequence.items[].draft.submission.receipt.batch_idanyOf 1 / anyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.submission.receipt.batch_idanyOf 1 / anyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.receipt.batch_idanyOf 1 / anyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.submission.receipt.successesanyOf 1 / anyOf 1arrayObligatoriskt i överordnat objekt
  • maxItems: 50
sequence.items[].draft.submission.receipt.successes[]anyOf 1 / anyOf 1objectValfritt / objekt—
sequence.items[].draft.submission.receipt.successes[].social_account_idanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.receipt.successes[].post_idanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
sequence.items[].draft.submission.receipt.failuresanyOf 1 / anyOf 1arrayObligatoriskt i överordnat objekt
  • maxItems: 50
sequence.items[].draft.submission.receipt.failures[]anyOf 1 / anyOf 1objectValfritt / objekt—
sequence.items[].draft.submission.receipt.failures[].social_account_idanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.submission.receipt.failures[].codeanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • minLength: 1
  • maxLength: 160
sequence.items[].draft.submission.receipt.failures[].messageanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • maxLength: 2000
sequence.items[].draft.submission.receiptanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.submissionanyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_contextobject | nullValfritt / objekt—
sequence.items[].draft.brand_contextanyOf 1objectValfritt / objekt—
sequence.items[].draft.brand_context.workspace_idanyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.brand_context.selectionanyOf 1objectObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.selection.profile_idanyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.brand_context.selection.version_idanyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].draft.brand_context.selection.revisionanyOf 1integerObligatoriskt i överordnat objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].draft.brand_context.selection.content_digestanyOf 1stringObligatoriskt i överordnat objekt
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_context.selection.context_digestanyOf 1stringObligatoriskt i överordnat objekt
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_context.availabilityanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["available","missing"]
sequence.items[].draft.brand_context.profile_stateanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.profile_stateanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["active","archived"]
sequence.items[].draft.brand_context.profile_stateanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.contentanyOf 1object | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.contentanyOf 1 / anyOf 1objectObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.content.nameanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • maxLength: 120
sequence.items[].draft.brand_context.content.audienceanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • maxLength: 2000
sequence.items[].draft.brand_context.content.voiceanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • maxLength: 2000
sequence.items[].draft.brand_context.content.languageanyOf 1 / anyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.content.languageanyOf 1 / anyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • minLength: 1
  • maxLength: 64
sequence.items[].draft.brand_context.content.languageanyOf 1 / anyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.content.preferred_termsanyOf 1 / anyOf 1arrayObligatoriskt i överordnat objekt
  • maxItems: 50
sequence.items[].draft.brand_context.content.preferred_terms[]anyOf 1 / anyOf 1stringValfritt / objekt
  • minLength: 1
  • maxLength: 120
sequence.items[].draft.brand_context.content.prohibited_termsanyOf 1 / anyOf 1arrayObligatoriskt i överordnat objekt
  • maxItems: 50
sequence.items[].draft.brand_context.content.prohibited_terms[]anyOf 1 / anyOf 1stringValfritt / objekt
  • minLength: 1
  • maxLength: 120
sequence.items[].draft.brand_context.content.locked_factsanyOf 1 / anyOf 1arrayObligatoriskt i överordnat objekt
  • maxItems: 50
sequence.items[].draft.brand_context.content.locked_facts[]anyOf 1 / anyOf 1stringValfritt / objekt
  • minLength: 1
  • maxLength: 500
sequence.items[].draft.brand_context.content.call_to_actionanyOf 1 / anyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.content.call_to_actionanyOf 1 / anyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • maxLength: 1000
sequence.items[].draft.brand_context.content.call_to_actionanyOf 1 / anyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.contentanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.sourcesanyOf 1objectObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.sources.websiteanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["available","not_available"]
sequence.items[].draft.brand_context.sources.logoanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["none","present","missing"]
sequence.items[].draft.brand_context.sources.own_postsanyOf 1objectObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_context.sources.own_posts.selectedanyOf 1integerObligatoriskt i överordnat objekt
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_context.sources.own_posts.availableanyOf 1integerObligatoriskt i överordnat objekt
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_context.sources.own_posts.unavailableanyOf 1integerObligatoriskt i överordnat objekt
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_context.sources.own_posts.erasedanyOf 1integerObligatoriskt i överordnat objekt
  • minimum: 0
  • maximum: 10
sequence.items[].draft.brand_contextanyOf 2nullValfritt / objekt—
sequence.items[].draft.brand_reviewobject | nullValfritt / objekt—
sequence.items[].draft.brand_reviewanyOf 1objectValfritt / objekt—
sequence.items[].draft.brand_review.rule_versionanyOf 1numberObligatoriskt i överordnat objekt
  • const: 1
sequence.items[].draft.brand_review.context_digestanyOf 1stringObligatoriskt i överordnat objekt
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_review.content_digestanyOf 1stringObligatoriskt i överordnat objekt
  • pattern: "^[a-f0-9]{64}$"
sequence.items[].draft.brand_review.statusanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["clear","attention","unavailable"]
sequence.items[].draft.brand_review.issuesanyOf 1arrayObligatoriskt i överordnat objekt
  • maxItems: 5151
sequence.items[].draft.brand_review.issues[]anyOf 1objectValfritt / objekt—
sequence.items[].draft.brand_review.issues[].codeanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["prohibited_term","locked_fact_missing","conflicting_rule","context_unavailable"]
sequence.items[].draft.brand_review.issues[].targetanyOf 1stringObligatoriskt i överordnat objekt
  • minLength: 1
  • maxLength: 80
sequence.items[].draft.brand_review.issues[].rule_indexanyOf 1integer | nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_review.issues[].rule_indexanyOf 1 / anyOf 1integerObligatoriskt i överordnat objekt
  • minimum: 0
  • maximum: 49
sequence.items[].draft.brand_review.issues[].rule_indexanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].draft.brand_review.issues[].messageanyOf 1stringObligatoriskt i överordnat objekt
  • minLength: 1
  • maxLength: 240
sequence.items[].draft.brand_reviewanyOf 2nullValfritt / objekt—
sequence.items[].predecessor_post_idstring | nullObligatoriskt i överordnat objekt—
sequence.items[].predecessor_post_idanyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].predecessor_post_idanyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].postobject | nullObligatoriskt i överordnat objekt—
sequence.items[].postanyOf 1objectObligatoriskt i överordnat objekt—
sequence.items[].post.idanyOf 1stringObligatoriskt i överordnat objekt
  • pattern: "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
sequence.items[].post.workspace_idanyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.social_account_idanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.social_account_idanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.social_account_idanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].post.platformanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["instagram","threads","facebook","youtube","x"]
sequence.items[].post.destinationanyOf 1objectObligatoriskt i överordnat objekt—
sequence.items[].post.destination.social_account_idanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.destination.social_account_idanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.destination.social_account_idanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].post.destination.platformanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["instagram","threads","facebook","youtube","x"]
sequence.items[].post.destination.platform_user_idanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.destination.account_labelanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.captionanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.hashtagsanyOf 1arrayObligatoriskt i överordnat objekt—
sequence.items[].post.hashtags[]anyOf 1stringValfritt / objekt—
sequence.items[].post.mediaanyOf 1arrayObligatoriskt i överordnat objekt—
sequence.items[].post.media[]anyOf 1objectValfritt / objekt—
sequence.items[].post.media[].kindanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["image","video"]
sequence.items[].post.media[].urlanyOf 1stringObligatoriskt i överordnat objekt
  • format: "uri"
sequence.items[].post.media[].cover_urlanyOf 1string | nullValfritt / objekt—
sequence.items[].post.media[].cover_urlanyOf 1 / anyOf 1stringValfritt / objekt
  • format: "uri"
sequence.items[].post.media[].cover_urlanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.media[].cover_asset_idanyOf 1integer | nullValfritt / objekt—
sequence.items[].post.media[].cover_asset_idanyOf 1 / anyOf 1integerValfritt / objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.media[].cover_asset_idanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.media[].asset_idanyOf 1integer | nullValfritt / objekt—
sequence.items[].post.media[].asset_idanyOf 1 / anyOf 1integerValfritt / objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.media[].asset_idanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.media[].mime_typeanyOf 1string | nullValfritt / objekt—
sequence.items[].post.media[].mime_typeanyOf 1 / anyOf 1stringValfritt / objekt
  • minLength: 1
  • maxLength: 160
sequence.items[].post.media[].mime_typeanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.media[].preview_urlanyOf 1string | nullValfritt / objekt

Tillfällig behörig läs-URL; behåll url som beständig medieidentitet för Scheduled Post.

—
sequence.items[].post.media[].preview_urlanyOf 1 / anyOf 1stringValfritt / objekt
  • format: "uri"
sequence.items[].post.media[].preview_urlanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.media[].cover_preview_urlanyOf 1string | nullValfritt / objekt

Tillfällig behörig läs-URL för omslag; behåll cover_url som beständig medieidentitet.

—
sequence.items[].post.media[].cover_preview_urlanyOf 1 / anyOf 1stringValfritt / objekt
  • format: "uri"
sequence.items[].post.media[].cover_preview_urlanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.media[].preview_expires_atanyOf 1string | nullValfritt / objekt—
sequence.items[].post.media[].preview_expires_atanyOf 1 / anyOf 1stringValfritt / objekt
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
sequence.items[].post.media[].preview_expires_atanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.link_urlanyOf 1string | nullValfritt / objekt—
sequence.items[].post.link_urlanyOf 1 / anyOf 1stringValfritt / objekt
  • format: "uri"
sequence.items[].post.link_urlanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.publish_optionsanyOf 1objectObligatoriskt i överordnat objekt—
sequence.items[].post.publish_options.post_typeanyOf 1stringValfritt / objekt
  • enum: ["TEXT","LINK","IMAGE","MULTI_IMAGE","VIDEO","CAROUSEL","REELS","STORY_IMAGE","STORY_VIDEO","REPOST","SHORT"]
sequence.items[].post.publish_options.location_idanyOf 1stringValfritt / objekt
  • minLength: 1
sequence.items[].post.publish_options.share_to_feedanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.collaboratorsanyOf 1arrayValfritt / objekt
  • maxItems: 3
sequence.items[].post.publish_options.collaborators[]anyOf 1stringValfritt / objekt
  • minLength: 1
sequence.items[].post.publish_options.first_commentanyOf 1stringValfritt / objekt
  • minLength: 1
  • maxLength: 2200
sequence.items[].post.publish_options.topic_taganyOf 1stringValfritt / objekt
  • minLength: 1
sequence.items[].post.publish_options.thumb_offset_msanyOf 1integerValfritt / objekt
  • minimum: 0
  • maximum: 9007199254740991
sequence.items[].post.publish_options.titleanyOf 1stringValfritt / objekt
  • maxLength: 255
sequence.items[].post.publish_options.youtube_privacy_statusanyOf 1stringValfritt / objekt
  • enum: ["private","unlisted","public"]
sequence.items[].post.publish_options.youtube_category_idanyOf 1stringValfritt / objekt
  • pattern: "^\\d+$"
sequence.items[].post.publish_options.youtube_contains_synthetic_mediaanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.descriptionanyOf 1stringValfritt / objekt
  • maxLength: 5000
sequence.items[].post.publish_options.category_idanyOf 1stringValfritt / objekt
  • pattern: "^\\d+$"
sequence.items[].post.publish_options.privacy_statusanyOf 1stringValfritt / objekt
  • enum: ["private","unlisted","public"]
sequence.items[].post.publish_options.cancellation_modeanyOf 1stringValfritt / objekt
  • enum: ["DELETE","UNSCHEDULE_KEEP_PRIVATE"]
sequence.items[].post.publish_options.tagsanyOf 1arrayValfritt / objekt—
sequence.items[].post.publish_options.tags[]anyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.default_languageanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.localizationsanyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.localizations.*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.licenseanyOf 1stringValfritt / objekt
  • enum: ["youtube","creativeCommon"]
sequence.items[].post.publish_options.embeddableanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.public_stats_viewableanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.self_declared_made_for_kidsanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.contains_synthetic_mediaanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.has_paid_product_placementanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.recording_dateanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.notify_subscribersanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.thumbnail_asset_idanyOf 1integerValfritt / objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.publish_options.surface_expectationanyOf 1stringValfritt / objekt
  • const: "SHORT"
sequence.items[].post.publish_options.brand_partneranyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.brand_partner.*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.cover_asset_idanyOf 1integerValfritt / objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.publish_options.audio_nameanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.trial_paramsanyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.trial_params.*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.is_ai_generatedanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.branded_content_sponsor_idsanyOf 1arrayValfritt / objekt—
sequence.items[].post.publish_options.branded_content_sponsor_ids[]anyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.is_paid_partnershipanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.media_optionsanyOf 1arrayValfritt / objekt—
sequence.items[].post.publish_options.media_options[]anyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.media_options[].*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.reply_to_idanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.quote_post_idanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.repost_target_idanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.reply_controlanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.enable_reply_approvalsanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.link_attachmentanyOf 1stringValfritt / objekt
  • format: "uri"
sequence.items[].post.publish_options.poll_attachmentanyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.poll_attachment.*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.gif_attachmentanyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.gif_attachment.*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.text_attachmentanyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.text_attachment.*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.text_entitiesanyOf 1arrayValfritt / objekt—
sequence.items[].post.publish_options.text_entities[]anyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.text_entities[].*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.is_spoiler_mediaanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.is_ghost_postanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.allowlisted_country_codesanyOf 1arrayValfritt / objekt—
sequence.items[].post.publish_options.allowlisted_country_codes[]anyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.crossreshare_to_iganyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.crossreshare_to_ig_dark_modeanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.auto_publish_textanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.publication_modeanyOf 1stringValfritt / objekt
  • enum: ["PUBLISH","DRAFT"]
sequence.items[].post.publish_options.backdated_timeanyOf 1numberValfritt / objekt—
sequence.items[].post.publish_options.backdated_time_granularityanyOf 1stringValfritt / objekt
  • enum: ["year","month","day","hour","minute"]
sequence.items[].post.publish_options.placeanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.feed_targetinganyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.feed_targeting.*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.targetinganyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.targeting.*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.child_attachmentsanyOf 1arrayValfritt / objekt—
sequence.items[].post.publish_options.child_attachments[]anyOf 1objectValfritt / objekt
  • additionalProperties: {}
sequence.items[].post.publish_options.child_attachments[].*anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.publish_options.multi_share_end_cardanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.multi_share_optimizedanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.unpublished_content_typeanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.no_storyanyOf 1booleanValfritt / objekt—
sequence.items[].post.publish_options.crossposted_video_idanyOf 1stringValfritt / objekt—
sequence.items[].post.publish_options.sphericalanyOf 1booleanValfritt / objekt—
sequence.items[].post.scheduled_atanyOf 1stringObligatoriskt i överordnat objekt—
sequence.items[].post.display_timezoneanyOf 1stringObligatoriskt i överordnat objekt
  • minLength: 1
  • maxLength: 80
sequence.items[].post.local_scheduled_atanyOf 1string | nullValfritt / objekt—
sequence.items[].post.local_scheduled_atanyOf 1 / anyOf 1stringValfritt / objekt
  • pattern: "^\\d{4}-\\d{2}-\\d{2}T\\d{2}:\\d{2}(?::\\d{2}(?:\\.\\d{1,6})?)?$"
sequence.items[].post.local_scheduled_atanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.schedule_timezoneanyOf 1string | nullValfritt / objekt—
sequence.items[].post.schedule_timezoneanyOf 1 / anyOf 1stringValfritt / objekt
  • minLength: 1
  • maxLength: 80
sequence.items[].post.schedule_timezoneanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.schedule_dst_disambiguationanyOf 1string | nullValfritt / objekt—
sequence.items[].post.schedule_dst_disambiguationanyOf 1 / anyOf 1stringValfritt / objekt
  • enum: ["exact","earlier","later"]
sequence.items[].post.schedule_dst_disambiguationanyOf 1 / anyOf 2nullValfritt / objekt—
sequence.items[].post.schedule_intent_stateanyOf 1stringValfritt / objekt
  • enum: ["verified","legacy_unverified"]
sequence.items[].post.expires_atanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.statusanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["scheduled","publishing","published","failed","expired","needs_reschedule","cancelled","deleted"]
sequence.items[].post.versionanyOf 1integerObligatoriskt i överordnat objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.items[].post.automatic_retry_enabledanyOf 1booleanObligatoriskt i överordnat objekt—
sequence.items[].post.delete_requested_atanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.deletionanyOf 1objectValfritt / objekt—
sequence.items[].post.deletion.stateanyOf 1stringObligatoriskt i överordnat objekt
  • enum: ["pending","retry_scheduled","failed","unconfirmed","confirmed","unpublished_cancelled"]
sequence.items[].post.deletion.retry_atanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.deletion.retry_atanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • format: "date-time"
  • pattern: "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
sequence.items[].post.deletion.retry_atanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].post.published_atanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.deleted_atanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.provider_post_idanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.permalinkanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.permalinkanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • format: "uri"
sequence.items[].post.permalinkanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].post.created_atanyOf 1stringObligatoriskt i överordnat objekt—
sequence.items[].post.updated_atanyOf 1stringObligatoriskt i överordnat objekt—
sequence.items[].post.project_idanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.project_idanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.project_idanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].post.batch_idanyOf 1string | nullObligatoriskt i överordnat objekt—
sequence.items[].post.batch_idanyOf 1 / anyOf 1stringObligatoriskt i överordnat objekt
  • format: "uuid"
  • pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
sequence.items[].post.batch_idanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].post.source_refanyOf 1object | nullObligatoriskt i överordnat objekt—
sequence.items[].post.source_refanyOf 1 / anyOf 1objectObligatoriskt i överordnat objekt
  • additionalProperties: {}
sequence.items[].post.source_ref.*anyOf 1 / anyOf 1any JSON valueValfritt / objekt—
sequence.items[].post.source_refanyOf 1 / anyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].postanyOf 2nullObligatoriskt i överordnat objekt—
sequence.items[].retry_allowedbooleanObligatoriskt i överordnat objekt—
sequence.expected_versionsobjectObligatoriskt i överordnat objekt
  • additionalProperties: {"type":"integer","exclusiveMinimum":0,"maximum":9007199254740991}
sequence.expected_versions.*integerValfritt / objekt
  • maximum: 9007199254740991
  • exclusiveMinimum: 0
sequence.actionsarrayObligatoriskt i överordnat objekt
  • minItems: 2
  • maxItems: 2
sequence.actions[]objectValfritt / objekt—
sequence.actions[].actionstringObligatoriskt i överordnat objekt
  • enum: ["resume","cancel"]
sequence.actions[].allowedbooleanObligatoriskt i överordnat objekt—
sequence.actions[].reason_codestringObligatoriskt i överordnat objekt
  • minLength: 1
  • maxLength: 80
sequence.actions[].messagestringObligatoriskt i överordnat objekt
  • maxLength: 1000
replayedbooleanValfritt / objekt—
Fullständigt JSON Schema
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "type": "object",
  "properties": {
    "sequence": {
      "type": "object",
      "properties": {
        "workspace_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "social_account_id": {
          "type": "string",
          "format": "uuid",
          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
        },
        "version": {
          "type": "integer",
          "exclusiveMinimum": 0,
          "maximum": 9007199254740991
        },
        "state": {
          "type": "string",
          "enum": [
            "draft",
            "admitted",
            "cancelled"
          ]
        },
        "item_count": {
          "type": "integer",
          "minimum": 2,
          "maximum": 25
        },
        "caption_preview": {
          "type": "string",
          "maxLength": 500
        },
        "created_at": {
          "type": "string",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
          "format": "date-time"
        },
        "updated_at": {
          "type": "string",
          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
          "format": "date-time"
        },
        "items": {
          "minItems": 2,
          "maxItems": 25,
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "item_id": {
                "type": "string",
                "format": "uuid",
                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
              },
              "ordinal": {
                "type": "integer",
                "minimum": 1,
                "maximum": 25
              },
              "draft": {
                "type": "object",
                "properties": {
                  "id": {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  "workspace_id": {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  "revision": {
                    "type": "integer",
                    "exclusiveMinimum": 0,
                    "maximum": 9007199254740991
                  },
                  "state": {
                    "type": "string",
                    "enum": [
                      "draft",
                      "submitting",
                      "submitted"
                    ]
                  },
                  "content": {
                    "type": "object",
                    "properties": {
                      "schemaVersion": {
                        "default": 1,
                        "type": "number",
                        "const": 1
                      },
                      "accountIds": {
                        "default": [],
                        "maxItems": 50,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                        }
                      },
                      "caption": {
                        "default": "",
                        "type": "string",
                        "maxLength": 5000
                      },
                      "hashtags": {
                        "default": "",
                        "type": "string",
                        "maxLength": 5000
                      },
                      "assetIds": {
                        "default": [],
                        "maxItems": 20,
                        "type": "array",
                        "items": {
                          "type": "string",
                          "maxLength": 16,
                          "pattern": "^[1-9][0-9]*$"
                        }
                      },
                      "threadsTextOnly": {
                        "default": false,
                        "type": "boolean"
                      },
                      "threadsOptions": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "enum": [
                              "TEXT",
                              "IMAGE",
                              "VIDEO",
                              "CAROUSEL",
                              "REPOST"
                            ]
                          },
                          "reply_to_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "quote_post_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "repost_target_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "reply_control": {
                            "type": "string",
                            "enum": [
                              "everyone",
                              "accounts_you_follow",
                              "mentioned_only",
                              "parent_post_author_only",
                              "followers_only"
                            ]
                          },
                          "enable_reply_approvals": {
                            "type": "boolean"
                          },
                          "link_attachment": {
                            "type": "string",
                            "maxLength": 2048
                          },
                          "poll_attachment": {
                            "type": "object",
                            "properties": {
                              "option_a": {
                                "type": "string",
                                "maxLength": 25
                              },
                              "option_b": {
                                "type": "string",
                                "maxLength": 25
                              },
                              "option_c": {
                                "type": "string",
                                "maxLength": 25
                              },
                              "option_d": {
                                "type": "string",
                                "maxLength": 25
                              }
                            },
                            "required": [
                              "option_a",
                              "option_b"
                            ]
                          },
                          "gif_attachment": {
                            "type": "object",
                            "properties": {
                              "gif_id": {
                                "type": "string",
                                "maxLength": 128
                              },
                              "provider": {
                                "type": "string",
                                "const": "GIPHY"
                              }
                            },
                            "required": [
                              "gif_id",
                              "provider"
                            ]
                          },
                          "text_attachment": {
                            "type": "object",
                            "properties": {
                              "plaintext": {
                                "type": "string",
                                "maxLength": 10000
                              },
                              "link_attachment_url": {
                                "type": "string",
                                "maxLength": 2048
                              },
                              "text_with_styling_info": {
                                "maxItems": 100,
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "offset": {
                                      "type": "integer",
                                      "minimum": 0,
                                      "maximum": 9007199254740991
                                    },
                                    "length": {
                                      "type": "integer",
                                      "exclusiveMinimum": 0,
                                      "maximum": 9007199254740991
                                    },
                                    "styling_info": {
                                      "minItems": 1,
                                      "type": "array",
                                      "items": {
                                        "type": "string",
                                        "enum": [
                                          "bold",
                                          "italic",
                                          "highlight",
                                          "underline",
                                          "strikethrough"
                                        ]
                                      }
                                    }
                                  },
                                  "required": [
                                    "offset",
                                    "length",
                                    "styling_info"
                                  ]
                                }
                              }
                            },
                            "required": [
                              "plaintext"
                            ]
                          },
                          "topic_tag": {
                            "type": "string",
                            "maxLength": 50
                          },
                          "text_entities": {
                            "maxItems": 10,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "entity_type": {
                                  "type": "string",
                                  "enum": [
                                    "SPOILER",
                                    "spoiler"
                                  ]
                                },
                                "offset": {
                                  "type": "integer",
                                  "minimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "length": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                }
                              },
                              "required": [
                                "entity_type",
                                "offset",
                                "length"
                              ]
                            }
                          },
                          "is_spoiler_media": {
                            "type": "boolean"
                          },
                          "is_ghost_post": {
                            "type": "boolean"
                          },
                          "location_id": {
                            "type": "string",
                            "maxLength": 128
                          },
                          "allowlisted_country_codes": {
                            "minItems": 1,
                            "maxItems": 249,
                            "type": "array",
                            "items": {
                              "type": "string",
                              "pattern": "^[A-Z]{2}$"
                            }
                          },
                          "crossreshare_to_ig": {
                            "type": "boolean"
                          },
                          "crossreshare_to_ig_dark_mode": {
                            "type": "boolean"
                          },
                          "auto_publish_text": {
                            "type": "boolean"
                          },
                          "media_options": {
                            "maxItems": 20,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "asset_id": {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                "alt_text": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 1000
                                },
                                "is_spoiler_media": {
                                  "type": "boolean"
                                }
                              },
                              "required": [
                                "asset_id"
                              ]
                            }
                          }
                        }
                      },
                      "instagramMode": {
                        "default": "REELS",
                        "type": "string",
                        "enum": [
                          "IMAGE",
                          "REELS",
                          "CAROUSEL",
                          "STORY_IMAGE",
                          "STORY_VIDEO"
                        ]
                      },
                      "youtubeTitle": {
                        "default": "",
                        "type": "string",
                        "maxLength": 100
                      },
                      "youtubePrivacy": {
                        "default": "private",
                        "type": "string",
                        "enum": [
                          "private",
                          "unlisted",
                          "public"
                        ]
                      },
                      "youtubeSynthetic": {
                        "default": false,
                        "type": "boolean"
                      },
                      "youtubeCategoryId": {
                        "default": "",
                        "type": "string",
                        "maxLength": 32
                      },
                      "youtubeShort": {
                        "default": false,
                        "type": "boolean"
                      },
                      "linkUrl": {
                        "default": "",
                        "type": "string",
                        "maxLength": 2048
                      },
                      "scheduledAt": {
                        "default": "",
                        "type": "string",
                        "maxLength": 64
                      },
                      "displayTimezone": {
                        "default": "UTC",
                        "type": "string",
                        "minLength": 1,
                        "maxLength": 128
                      },
                      "publishNow": {
                        "default": false,
                        "type": "boolean"
                      },
                      "destinationOverrides": {
                        "default": {},
                        "type": "object",
                        "propertyNames": {
                          "type": "string",
                          "format": "uuid",
                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                        },
                        "additionalProperties": {
                          "type": "object",
                          "properties": {
                            "caption": {
                              "type": "string",
                              "maxLength": 5000
                            },
                            "scheduledAt": {
                              "type": "string",
                              "maxLength": 64
                            }
                          }
                        }
                      },
                      "expiresAt": {
                        "default": "",
                        "type": "string",
                        "maxLength": 64
                      }
                    },
                    "required": [
                      "schemaVersion",
                      "accountIds",
                      "caption",
                      "hashtags",
                      "assetIds",
                      "threadsTextOnly",
                      "instagramMode",
                      "youtubeTitle",
                      "youtubePrivacy",
                      "youtubeSynthetic",
                      "youtubeCategoryId",
                      "youtubeShort",
                      "linkUrl",
                      "scheduledAt",
                      "displayTimezone",
                      "publishNow",
                      "destinationOverrides",
                      "expiresAt"
                    ]
                  },
                  "created_by": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "uuid",
                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "updated_by": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "uuid",
                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "created_at": {
                    "type": "string",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                    "format": "date-time"
                  },
                  "updated_at": {
                    "type": "string",
                    "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                    "format": "date-time"
                  },
                  "submission": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "format": "uuid",
                            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                          },
                          "expected_revision": {
                            "type": "integer",
                            "exclusiveMinimum": 0,
                            "maximum": 9007199254740991
                          },
                          "started_at": {
                            "type": "string",
                            "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z|([+-](?:[01]\\d|2[0-3]):[0-5]\\d)))$",
                            "format": "date-time"
                          },
                          "receipt": {
                            "anyOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "batch_id": {
                                    "anyOf": [
                                      {
                                        "type": "string",
                                        "format": "uuid",
                                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "successes": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "social_account_id": {
                                          "type": "string",
                                          "format": "uuid",
                                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                                        },
                                        "post_id": {
                                          "type": "string",
                                          "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
                                        }
                                      },
                                      "required": [
                                        "social_account_id",
                                        "post_id"
                                      ]
                                    }
                                  },
                                  "failures": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "object",
                                      "properties": {
                                        "social_account_id": {
                                          "type": "string",
                                          "format": "uuid",
                                          "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                                        },
                                        "code": {
                                          "type": "string",
                                          "minLength": 1,
                                          "maxLength": 160
                                        },
                                        "message": {
                                          "type": "string",
                                          "maxLength": 2000
                                        }
                                      },
                                      "required": [
                                        "social_account_id",
                                        "code",
                                        "message"
                                      ]
                                    }
                                  }
                                },
                                "required": [
                                  "batch_id",
                                  "successes",
                                  "failures"
                                ]
                              },
                              {
                                "type": "null"
                              }
                            ]
                          }
                        },
                        "required": [
                          "id",
                          "expected_revision",
                          "started_at",
                          "receipt"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "brand_context": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "workspace_id": {
                            "type": "string",
                            "format": "uuid",
                            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                          },
                          "selection": {
                            "type": "object",
                            "properties": {
                              "profile_id": {
                                "type": "string",
                                "format": "uuid",
                                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                              },
                              "version_id": {
                                "type": "string",
                                "format": "uuid",
                                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                              },
                              "revision": {
                                "type": "integer",
                                "exclusiveMinimum": 0,
                                "maximum": 9007199254740991
                              },
                              "content_digest": {
                                "type": "string",
                                "pattern": "^[a-f0-9]{64}$"
                              },
                              "context_digest": {
                                "type": "string",
                                "pattern": "^[a-f0-9]{64}$"
                              }
                            },
                            "required": [
                              "profile_id",
                              "version_id",
                              "revision",
                              "content_digest",
                              "context_digest"
                            ]
                          },
                          "availability": {
                            "type": "string",
                            "enum": [
                              "available",
                              "missing"
                            ]
                          },
                          "profile_state": {
                            "anyOf": [
                              {
                                "type": "string",
                                "enum": [
                                  "active",
                                  "archived"
                                ]
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "content": {
                            "anyOf": [
                              {
                                "type": "object",
                                "properties": {
                                  "name": {
                                    "type": "string",
                                    "maxLength": 120
                                  },
                                  "audience": {
                                    "type": "string",
                                    "maxLength": 2000
                                  },
                                  "voice": {
                                    "type": "string",
                                    "maxLength": 2000
                                  },
                                  "language": {
                                    "anyOf": [
                                      {
                                        "type": "string",
                                        "minLength": 1,
                                        "maxLength": 64
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  },
                                  "preferred_terms": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 120
                                    }
                                  },
                                  "prohibited_terms": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 120
                                    }
                                  },
                                  "locked_facts": {
                                    "maxItems": 50,
                                    "type": "array",
                                    "items": {
                                      "type": "string",
                                      "minLength": 1,
                                      "maxLength": 500
                                    }
                                  },
                                  "call_to_action": {
                                    "anyOf": [
                                      {
                                        "type": "string",
                                        "maxLength": 1000
                                      },
                                      {
                                        "type": "null"
                                      }
                                    ]
                                  }
                                },
                                "required": [
                                  "name",
                                  "audience",
                                  "voice",
                                  "language",
                                  "preferred_terms",
                                  "prohibited_terms",
                                  "locked_facts",
                                  "call_to_action"
                                ]
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "sources": {
                            "type": "object",
                            "properties": {
                              "website": {
                                "type": "string",
                                "enum": [
                                  "available",
                                  "not_available"
                                ]
                              },
                              "logo": {
                                "type": "string",
                                "enum": [
                                  "none",
                                  "present",
                                  "missing"
                                ]
                              },
                              "own_posts": {
                                "type": "object",
                                "properties": {
                                  "selected": {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 10
                                  },
                                  "available": {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 10
                                  },
                                  "unavailable": {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 10
                                  },
                                  "erased": {
                                    "type": "integer",
                                    "minimum": 0,
                                    "maximum": 10
                                  }
                                },
                                "required": [
                                  "selected",
                                  "available",
                                  "unavailable",
                                  "erased"
                                ]
                              }
                            },
                            "required": [
                              "website",
                              "logo",
                              "own_posts"
                            ]
                          }
                        },
                        "required": [
                          "workspace_id",
                          "selection",
                          "availability",
                          "profile_state",
                          "content",
                          "sources"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  },
                  "brand_review": {
                    "anyOf": [
                      {
                        "type": "object",
                        "properties": {
                          "rule_version": {
                            "type": "number",
                            "const": 1
                          },
                          "context_digest": {
                            "type": "string",
                            "pattern": "^[a-f0-9]{64}$"
                          },
                          "content_digest": {
                            "type": "string",
                            "pattern": "^[a-f0-9]{64}$"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "clear",
                              "attention",
                              "unavailable"
                            ]
                          },
                          "issues": {
                            "maxItems": 5151,
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "code": {
                                  "type": "string",
                                  "enum": [
                                    "prohibited_term",
                                    "locked_fact_missing",
                                    "conflicting_rule",
                                    "context_unavailable"
                                  ]
                                },
                                "target": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 80
                                },
                                "rule_index": {
                                  "anyOf": [
                                    {
                                      "type": "integer",
                                      "minimum": 0,
                                      "maximum": 49
                                    },
                                    {
                                      "type": "null"
                                    }
                                  ]
                                },
                                "message": {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 240
                                }
                              },
                              "required": [
                                "code",
                                "target",
                                "rule_index",
                                "message"
                              ]
                            }
                          }
                        },
                        "required": [
                          "rule_version",
                          "context_digest",
                          "content_digest",
                          "status",
                          "issues"
                        ]
                      },
                      {
                        "type": "null"
                      }
                    ]
                  }
                },
                "required": [
                  "id",
                  "workspace_id",
                  "revision",
                  "state",
                  "content",
                  "created_by",
                  "updated_by",
                  "created_at",
                  "updated_at",
                  "submission"
                ]
              },
              "predecessor_post_id": {
                "anyOf": [
                  {
                    "type": "string",
                    "format": "uuid",
                    "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                  },
                  {
                    "type": "null"
                  }
                ]
              },
              "post": {
                "anyOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
                      },
                      "workspace_id": {
                        "type": "string",
                        "format": "uuid",
                        "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                      },
                      "social_account_id": {
                        "anyOf": [
                          {
                            "type": "string",
                            "format": "uuid",
                            "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "platform": {
                        "type": "string",
                        "enum": [
                          "instagram",
                          "threads",
                          "facebook",
                          "youtube",
                          "x"
                        ]
                      },
                      "destination": {
                        "type": "object",
                        "properties": {
                          "social_account_id": {
                            "anyOf": [
                              {
                                "type": "string",
                                "format": "uuid",
                                "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                              },
                              {
                                "type": "null"
                              }
                            ]
                          },
                          "platform": {
                            "type": "string",
                            "enum": [
                              "instagram",
                              "threads",
                              "facebook",
                              "youtube",
                              "x"
                            ]
                          },
                          "platform_user_id": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "account_label": {
                            "type": [
                              "string",
                              "null"
                            ]
                          }
                        },
                        "required": [
                          "social_account_id",
                          "platform",
                          "platform_user_id",
                          "account_label"
                        ]
                      },
                      "caption": {
                        "type": [
                          "string",
                          "null"
                        ]
                      },
                      "hashtags": {
                        "type": "array",
                        "items": {
                          "type": "string"
                        }
                      },
                      "media": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {
                            "kind": {
                              "type": "string",
                              "enum": [
                                "image",
                                "video"
                              ]
                            },
                            "url": {
                              "type": "string",
                              "format": "uri"
                            },
                            "cover_url": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "format": "uri"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "cover_asset_id": {
                              "anyOf": [
                                {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "asset_id": {
                              "anyOf": [
                                {
                                  "type": "integer",
                                  "exclusiveMinimum": 0,
                                  "maximum": 9007199254740991
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "mime_type": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "minLength": 1,
                                  "maxLength": 160
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "preview_url": {
                              "description": "Temporary authorized read URL; keep url as persisted Scheduled Post media identity.",
                              "anyOf": [
                                {
                                  "type": "string",
                                  "format": "uri"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "cover_preview_url": {
                              "description": "Temporary authorized cover read URL; keep cover_url as persisted media identity.",
                              "anyOf": [
                                {
                                  "type": "string",
                                  "format": "uri"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "preview_expires_at": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$",
                                  "format": "date-time"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            }
                          },
                          "required": [
                            "kind",
                            "url"
                          ]
                        }
                      },
                      "link_url": {
                        "anyOf": [
                          {
                            "type": "string",
                            "format": "uri"
                          },
                          {
                            "type": "null"
                          }
                        ]
                      },
                      "publish_options": {
                        "type": "object",
                        "properties": {
                          "post_type": {
                            "type": "string",
                            "enum": [
                              "TEXT",
                              "LINK",
                              "IMAGE",
                              "MULTI_IMAGE",
                              "VIDEO",
                              "CAROUSEL",
                              "REELS",
                              "STORY_IMAGE",
                              "STORY_VIDEO",
                              "REPOST",
                              "SHORT"
                            ]
                          },
                          "location_id": {
                            "type": "string",
                            "minLength": 1
                          },
                          "share_to_feed": {
                            "type": "boolean"
[...]
